Bug 63192 - Broken plural hack
Broken plural hack
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: rhn-applet (Show other bugs)
7.3
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Daniel Veillard
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-04-10 18:56 EDT by Christian Rose
Modified: 2008-05-01 11:38 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-04-10 20:02:15 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Christian Rose 2002-04-10 18:56:49 EDT
#. it is possible that the applet was destroyed during the time it
#. took to update the model.  If the applet is gone, bail now.
#: ../rhn_applet.py:300
msgid "%d update%s available (%d ignored)"

This "tack on an s if it's plural" hack is broken all over the place with
regards to l10n. Please replace this with two separate messages (one non-plural
and one plural) instead of assuming that all languages use an s for the plural
of the word "update" (*).

(*) In fact, plural is even more complex than this, many languages use more than
two forms of plural, and the rules for what is plural vary. This is why
ngettext() should be used instead of gettext() in these cases, but I don't know
if pygettext supports it.
Comment 1 Chip Turner 2002-04-10 20:02:08 EDT
good point.  I don't think ngettext is available, but I have changed it to two
entire strings instead of one
Comment 2 Jay Turner 2002-04-16 10:08:26 EDT
Fix confirmed in 1.0.6-10.

Note You need to log in before you can comment on or make changes to this bug.